=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2008-09-25 22:25:09 +0000
+++ bzrlib/tests/blackbox/test_info.py	2008-10-31 07:45:09 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006, 2007, 2008 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -248,6 +248,7 @@
         out, err = self.run_bzr('info -v lightcheckout')
         self.assertEqualDiff(
 """Lightweight checkout (format: 1.6 or 1.6.1-rich-root \
+or 1.9 or 1.9-rich-root \
 or dirstate or dirstate-tags or \
 pack-0.92 or rich-root or rich-root-pack)
 Location:
@@ -416,6 +417,7 @@
         out, err = self.run_bzr('info lightcheckout --verbose')
         self.assertEqualDiff(
 """Lightweight checkout (format: 1.6 or 1.6.1-rich-root or \
+1.9 or 1.9-rich-root or \
 dirstate or dirstate-tags or \
 pack-0.92 or rich-root or rich-root-pack)
 Location:
@@ -553,6 +555,7 @@
         out, err = self.run_bzr('info tree/lightcheckout --verbose')
         self.assertEqualDiff(
 """Lightweight checkout (format: 1.6 or 1.6.1-rich-root or \
+1.9 or 1.9-rich-root or \
 dirstate or dirstate-tags or \
 pack-0.92 or rich-root or rich-root-pack)
 Location:
@@ -677,6 +680,7 @@
         out, err = self.run_bzr('info tree/lightcheckout --verbose')
         self.assertEqualDiff(
 """Lightweight checkout (format: 1.6 or 1.6.1-rich-root or \
+1.9 or 1.9-rich-root or \
 dirstate or dirstate-tags or \
 pack-0.92 or rich-root or rich-root-pack)
 Location:
@@ -1093,6 +1097,7 @@
             (False, False): 'Checkout',
             }[(shared_repo is not None, light_checkout)]
         format = {True: '1.6 or 1.6.1-rich-root'
+                        ' or 1.9 or 1.9-rich-root'
                         ' or dirstate or dirstate-tags or pack-0.92'
                         ' or rich-root or rich-root-pack',
                   False: 'dirstate'}[light_checkout]

=== modified file 'bzrlib/tests/test_info.py'
--- bzrlib/tests/test_info.py	2008-08-29 05:18:56 +0000
+++ bzrlib/tests/test_info.py	2008-10-31 07:45:09 +0000
@@ -146,8 +146,10 @@
             expected = None
             if key in ('dirstate', 'dirstate-tags', 'dirstate-with-subtree',
                 'pack-0.92', 'pack-0.92-subtree', 'rich-root',
-                'rich-root-pack', '1.6', '1.6.1-rich-root'):
+                'rich-root-pack', '1.6', '1.6.1-rich-root',
+                '1.9', '1.9-rich-root'):
                 expected = '1.6 or 1.6.1-rich-root or ' \
+                    '1.9 or 1.9-rich-root or ' \
                     'dirstate or dirstate-tags or pack-0.92 or'\
                     ' rich-root or rich-root-pack'
             if key in ('knit', 'metaweave'):

